const Joi = require("joi");

const VenueInputType = Joi.object().keys({
  name: Joi.string().required(),
  address: Joi.string().required(),
  city: Joi.string().required(),
  gmt: Joi.number().min(-12).max(+12),
  description: Joi.string().optional(),
  country: Joi.string().optional(),
  state: Joi.string().optional(),
  postal_code: Joi.string().optional(),
  accessibility: Joi.string().optional(),
  tz: Joi.string().optional(),
});
/*
const VenueOutputType = Joi.object().keys({
    name: Joi.string().required(),
    address: Joi.string().required(),
});
*/

module.exports = {
  VenueInputType,
  //    VenueOutputType
};
